import { IconProps } from "../common/Icon";
import React from "react";
export declare enum ButtonStyle {
    LIGHT = "LIGHT",
    DARK = "DARK",
    TRANSPARENT = "TRANSPARENT"
}
export declare const getThemeColor: (style: ButtonStyle | undefined) => string;
export declare const getReverseThemeColor: (style: ButtonStyle | undefined) => string;
declare const _default: React.NamedExoticComponent<ButtonProps>;
export default _default;
export interface ButtonProps {
    children: string | React.ReactNode;
    icon?: IconProps["icon"];
    compact?: boolean;
    onClick?: () => void;
    disabled?: boolean;
    color?: string;
    theme?: ButtonStyle;
    updates?: number | boolean;
    label?: string;
    full?: boolean;
    center?: boolean;
}
