import { DescriptionType } from "../types";
import { TagsFilterSectionProps } from "./TagsFilterSection";
import { TextSectionProps } from "./TextSection";
import React from "react";
declare type SidebarSectionChild = React.ReactElement<TextSectionProps | TagsFilterSectionProps>;
/**
 * Given a valid child element of a SidebarSection, get its description data.
 */
export declare const getSectionData: (section: React.ReactElement<SidebarSectionProps>) => DescriptionType;
/**
 * Return a SidebarSection given a DescriptionType.
 */
export declare const makeSidebarSection: (description: DescriptionType) => React.ReactElement<SidebarSectionProps>;
export interface SidebarSectionProps {
    id: string;
    index: number;
    title: string;
    children: SidebarSectionChild;
    editable?: boolean;
    onChangeTitle?: (title: string) => void;
    onChangeData?: (data: DescriptionType) => void;
    onDeleteSection?: (sectionId: string) => void;
}
declare const SidebarSection: React.FC<SidebarSectionProps>;
export default SidebarSection;
